BLOCKDEV(8)

NAME
blockdev - call block device ioctls from the command line

SYNOPSIS
blockdev [options] commands devices

DESCRIPTION
The utility blockdev allows one to call block device ioctls from the command line.

OPTIONS

-V  Print version and exit.

-q  Be quiet.

-v  Be verbose.

COMMANDS

--setro
    Set read-only.

--setrw
    Set read-write.

--getro
    Get read-only. Print 1 if the device is read-only, 0 otherwise.

--getss
    Print sectorsize in bytes - usually 512.

--getbsz
    Print blocksize in bytes.

--setbsz N
    Set blocksize to N bytes.

--getsz
    Get size in 512-byte sectors.

--getsize
    Print device size (in 512-byte sectors).

--getsize64
    Print device size in bytes.

--setra N
    Set readahead to N 512-byte sectors.

--getra
    Print readahead (in 512-byte sectors).

--flushbufs
    Flush buffers.

--rereadpt
    Reread partition table.

--rmpart N
    remove selected partition from kernel. (DEPRECATED)

--rmparts
    remove all device partitions from kernel. (DEPRECATED)

--report [<device> ...]
    print read-only status, block size, sector size and geometry for all devices (according to /proc/partitions) or for given devices only. This command cannot be used together with other commands. (DEPRECATED)